MailcrateDocs
Webhooks

List an endpoint's deliveries

GET
/public/webhook/endpoints/{id}/deliveries

Requires the webhook:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Query Parameters

webhookEndpointId?string
status?string
Value in"delivered""delivering""failed""pending""retrying"
eventType?string
Value in"campaign.deleted""campaign.external-audience-fetched""campaign.failed""campaign.scheduled""campaign.sending""campaign.sent""contact.created""contact.deleted""contact.unsubscribed""contact.updated""delivery.approved""delivery.bounced""delivery.clicked""delivery.complained""delivery.delivered""delivery.opened""delivery.sent""delivery.suppressed""email-template.created""email-template.deleted""email-template.updated""external-audience.created""external-audience.deleted""external-audience.updated""inbound.parsed""journey.enrolled""journey.exited""segment.created""segment.deleted""segment.entered""segment.left""segment.updated""sender-identity.created""sender-identity.updated""subscription-group.opted-in""subscription-group.opted-out"
limit?integer
Range1 <= value <= 500
Default50
offset?integer
Range0 <= value
Default0
page?integer
Range1 <= value
sortBy?string
sortOrder?string
Value in"ASC""DESC"

Response Body

A page of results.

application/json
  1. response
data*array<>
total*integer

Matches across all pages.

limit*integer
offset*integer

The offset actually applied, also when you paginated with page.

Example Request
curl -X GET 'https://api.mailcrate.io/public/webhook/endpoints/string/deliveries' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "data": [    {      "id": "string",      "webhookEndpointId": "string",      "eventType": "campaign.deleted",      "payload": {},      "status": "delivered",      "attemptCount": 0,      "nextRetryAt": "2019-08-24T14:15:22Z",      "lastAttemptAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z",      "lastResponseStatusCode": 0,      "lastError": "string",      "created": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "limit": 0,  "offset": 0}